//
//  ButtonView.swift
//  VariablesBasics
//
//  Created by Matej Duník on 10/10/2018.
//  Copyright © 2018 Matej Duník. All rights reserved.
//

import UIKit

class ButtonView: UIView {

    var isPressed = false
    var title = ""
    
    override func awakeFromNib() {
        super.awakeFromNib()
        self.title = "Rate!"
    }
    
    override func draw(_ rect: CGRect) {
        MyStyleKit.drawRateButton(radius: 10, title: self.title, pressed: self.isPressed)
    }
    
    override func touchesBegan(_ touches: Set<UITouch>, with event: UIEvent?) {
        self.isPressed = true
        self.setNeedsDisplay()
    }
    
    override func touchesEnded(_ touches: Set<UITouch>, with event: UIEvent?) {
        self.isPressed = false
        self.title = "Thanks!"
        self.setNeedsDisplay()
    }

}
